KCalendarSystemFactory Class Reference

`#include <kcalendarsystemfactory.h>`

## Static Public Member Functions

static KCalendarSystem * | create (const QString &calType=QString::fromLatin1("gregorian"), const KLocale *locale=0)
static QStringList | calendarSystems ()

## Detailed Description

Factory class for calendar types.

Author
  Carlos Moro cfmor.nosp@m.o@co.nosp@m.rreo..nosp@m.unio.nosp@m.vi.es

Since
  3.2

Definition at line 36 of file kcalendarsystemfactory.h.

## Member Function Documentation

QStringList KCalendarSystemFactory::calendarSystems | ( |  | ) |

static

Gets list of names of supported calendar systems.

Returns
  A QStringList object

Definition at line 61 of file kcalendarsystemfactory.cpp.

KCalendarSystem * KCalendarSystemFactory::create | ( | const QString & | calType = `QString::fromLatin1("gregorian")`,
|  | const KLocale * | locale = `0`
| ) |  |

static

Gets specific calendar type number of days in previous month for a given date.

Parameters

  calType | string identification of the specific calendar type to be constructed
  locale | Locale used for translations. Use the global locale when 0 is specified.

Returns
  a KCalendarSystem object

Definition at line 43 of file kcalendarsystemfactory.cpp.

The documentation for this class was generated from the following files:

- kcalendarsystemfactory.h
- kcalendarsystemfactory.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys